#include<iostream>
#include<math.h>
#include<string.h>
using namespace std;
main()
{
      string a,b,c,max,max1,max2;
      int i,j,k;
      i=k=j=0;
      cin>>a;
      cin>>b;
      cin>>c;
      if(a>=b)
      i++;
      else
      if(b>=a)
      j++;
      if(b>=c)
      j++;
      else 
      if(c>=b)
      k++;
      if(c>=a)
      k++;
      else
      if(a>=c)
      i++;
      if(i==2)
      max=a;
      else
      if(j==2)
      max=b;
      else
      if(k==2)
      max=c;
      if(i==1)
      max1=a;
      else
      if(j==1)
      max1=b;
      else
      if(k==1)
      max1=c;
      if(i==0)
      max2=a;
      else
      if(j==0)
      max2=b;
      else
      if(k==0)
      max2=c;
      cout<<max<<max1<<max2;
}